PHP Unconference Europe 2015

udm_api_version

(PHP 4 >= 4.0.5, PHP 5 <= 5.0.5, PECL mnogosearch >= 1.0.0)

udm_api_versionLit la version de l'API mnoGoSearch

Description

int udm_api_version ( void )

Lit la version de l'API mnoGoSearch.

udm_api_version() permet aux utilisateurs d'identifier quelles sont les API disponibles. Par exemple, udm_get_doc_count() n'est disponible qu'à partir de mnoGoSearch 3.1.11.

Valeurs de retour

udm_api_version() retourne le numéro de version de l'API mnoGoSearch. Par exemple, si mnoGosearch 3.1.10 est utilisé, udm_api_version() retournera 30110.

Exemples

Exemple #1 Exemple avec udm_api_version()

<?php
if (udm_api_version() >= 30111) {
    echo  
"Nombre total d'URL dans la base : " udm_get_doc_count($udm) . "<br />\n";
}
?>

add a note add a note

User Contributed Notes

There are no user contributed notes for this page.
To Top